diff --git a/doc/src/sgml/indices.sgml b/doc/src/sgml/indices.sgml
index 3e11d3917f..85d740b60a 100644
--- a/doc/src/sgml/indices.sgml
+++ b/doc/src/sgml/indices.sgml
@@ -120,6 +120,12 @@ CREATE INDEX test1_id_index ON test1 (id);
    algorithm that is best suited to different types of queries.
    By default, the <command>CREATE INDEX</command> command creates
    B-tree indexes, which fit the most common situations.
+   The other index types are established by the keyword
+   <literal>USING</literal> followed by the type name, e.g.,
+   for a Hash index:
+<programlisting>
+CREATE INDEX <replaceable>name</replaceable> ON <replaceable>table</replaceable> USING HASH (<replaceable>column</replaceable>);
+</programlisting>
   </para>
 
   <sect2 id="indexes-types-btree">
@@ -185,14 +191,17 @@ CREATE INDEX test1_id_index ON test1 (id);
      <primary>hash</primary>
      <see>index</see>
     </indexterm>
-    Hash indexes can only handle simple equality comparisons.
+    Hash indexes store a 32-bit hash code derived from the
+    value of the involved column. Hence,
+    such indexes can only handle simple equality comparisons.
     The query planner will consider using a hash index whenever an
     indexed column is involved in a comparison using the
-    <literal>=</literal> operator.
-    The following command is used to create a hash index:
+    equal operator:
+
 <synopsis>
-CREATE INDEX <replaceable>name</replaceable> ON <replaceable>table</replaceable> USING HASH (<replaceable>column</replaceable>);
+=
 </synopsis>
+
    </para>
   </sect2>
 
